Index: eUP_SRP/trunk/profiles/default/portlets.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/portlets.xml	(revision 953)
+++ 	(revision )
@@ -1,121 +1,0 @@
-<?xml version="1.0"?>
-<object name="portal_cpsportlets" meta_type="CPS Portlets Tool">
- <property name="title"></property>
- <property name="ignore_events">False</property>
- <cache-parameters type="Actions Portlet">
-  <element value="actions:(categories)"/>
-  <element value="current_lang"/>
- </cache-parameters>
- <cache-parameters type="Add Item Portlet">
-  <element value="portal_type"/>
-  <element value="wf_create"/>
-  <element value="current_lang"/>
- </cache-parameters>
- <cache-parameters type="Breadcrumbs Portlet">
-  <element value="user"/>
-  <element value="current_lang"/>
-  <element value="object:published_path"/>
-  <element value="objects:relative_path"/>
-  <element value="timeout:300"/>
-  <element value="request:breadcrumb_set"/>
- </cache-parameters>
- <cache-parameters type="Content Portlet">
-  <element value="no-cache:(contextual)"/>
-  <element value="user"/>
-  <element
-     value="event_ids:workflow_create,workflow_accept,workflow_reject,workflow_publish,workflow_modify,sys_del_object,workflow_cut_copy_paste,workflow_copy_submit,workflow_unpublish"/>
-  <element value="event_in_folders:(folder_path)"/>
-  <element value="event_on_types:(searchable_types)"/>
-  <element value="baseurl"/>
-  <element value="current_lang"/>
- </cache-parameters>
- <cache-parameters type="Custom Portlet"/>
- <cache-parameters type="Document Portlet">
-  <element value="no-cache"/>
- </cache-parameters>
- <cache-parameters type="Dummy Portlet">
-  <element value="user"/>
- </cache-parameters>
- <cache-parameters type="Image Portlet">
-  <element value="baseurl"/>
-  <element value="protocol"/>
- </cache-parameters>
- <cache-parameters type="Internal Links Portlet">
-  <element value="user"/>
-  <element value="current_lang"/>
-  <element value="objects:(links)"/>
- </cache-parameters>
- <cache-parameters type="Language Portlet">
-  <element value="object:path,langs,lang"/>
-  <element value="current_lang"/>
-  <element value="user"/>
-  <element value="timeout:1800"/>
- </cache-parameters>
- <cache-parameters type="Navigation Portlet">
-  <element value="no-cache"/>
- </cache-parameters>
- <cache-parameters type="RSS Portlet">
-  <element value="event_ids:rss_channel_refresh"/>
-  <element value="timeout:10"/>
-  <element value="current_lang"/>
- </cache-parameters>
- <cache-parameters type="Rotating Image Portlet">
-  <element value="baseurl"/>
- </cache-parameters>
- <cache-parameters type="Search Portlet">
-  <element value="no-cache"/>
- </cache-parameters>
- <cache-parameters type="Text Portlet"/>
- <object name="portlet_actions_1" meta_type="CPS Portlet"
-    portal_type="Actions Portlet"/>
- <object name="portlet_cps_logo" meta_type="CPS Portlet"
-    portal_type="Image Portlet"/>
- <object name="portlet_cps_logo2" meta_type="CPS Portlet"
-    portal_type="Image Portlet"/>
- <object name="portlet_cps_logo3" meta_type="CPS Portlet"
-    portal_type="Image Portlet"/>
- <object name="portlet_custom_about_cps" meta_type="CPS Portlet"
-    portal_type="Custom Portlet"/>
- <object name="portlet_custom_accessibility" meta_type="CPS Portlet"
-    portal_type="Custom Portlet"/>
- <object name="portlet_custom_learn_cps" meta_type="CPS Portlet"
-    portal_type="Custom Portlet"/>
- <object name="portlet_custom_start_cps" meta_type="CPS Portlet"
-    portal_type="Custom Portlet"/>
- <object name="portlet_custom_welcome" meta_type="CPS Portlet"
-    portal_type="Custom Portlet"/>
- <object name="portlet_documents" meta_type="CPS Portlet"
-    portal_type="Document Portlet"/>
- <object name="portlet_front_nuxeo" meta_type="CPS Portlet"
-    portal_type="Image Portlet"/>
- <object name="portlet_image_cpsskins" meta_type="CPS Portlet"
-    portal_type="Image Portlet"/>
- <object name="portlet_image_powered_by_cps" meta_type="CPS Portlet"
-    portal_type="Image Portlet"/>
- <object name="portlet_image_powered_by_cps2" meta_type="CPS Portlet"
-    portal_type="Image Portlet"/>
- <object name="portlet_image_round_top_right_corner" meta_type="CPS Portlet"
-    portal_type="Image Portlet"/>
- <object name="portlet_image_valid_css" meta_type="CPS Portlet"
-    portal_type="Image Portlet"/>
- <object name="portlet_image_valid_wcag" meta_type="CPS Portlet"
-    portal_type="Image Portlet"/>
- <object name="portlet_image_valid_xhtml" meta_type="CPS Portlet"
-    portal_type="Image Portlet"/>
- <object name="portlet_language" meta_type="CPS Portlet"
-    portal_type="Language Portlet"/>
- <object name="portlet_navigation_root2" meta_type="CPS Portlet"
-    portal_type="Navigation Portlet"/>
- <object name="portlet_text_1" meta_type="CPS Portlet"
-    portal_type="Text Portlet"/>
- <object name="portlet_text_2" meta_type="CPS Portlet"
-    portal_type="Text Portlet"/>
- <object name="portlet_text_cps" meta_type="CPS Portlet"
-    portal_type="Text Portlet"/>
- <object name="portlet_text_nuxeo_offers" meta_type="CPS Portlet"
-    portal_type="Text Portlet"/>
- <object name="portlet_text_powered_by" meta_type="CPS Portlet"
-    portal_type="Text Portlet"/>
- <object name="portlet_text_welcome2" meta_type="CPS Portlet"
-    portal_type="Text Portlet"/>
-</object>
Index: eUP_SRP/trunk/profiles/default/portlets_catalog.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/portlets_catalog.xml	(revision 953)
+++ 	(revision )
@@ -1,86 +1,0 @@
-<?xml version="1.0"?>
-<object name="portal_cpsportlets_catalog"
-   meta_type="CPS Portlets Catalog Tool">
- <property name="title"></property>
- <object name="htmltext_lexicon" meta_type="ZCTextIndex Lexicon">
-  <element name="HTML aware splitter" group="Word Splitter"/>
-  <element name="Case Normalizer" group="Case Normalizer"/>
-  <element name="Remove listed stop words only" group="Stop Words"/>
- </object>
- <object name="plaintext_lexicon" meta_type="ZCTextIndex Lexicon">
-  <element name="Whitespace splitter" group="Word Splitter"/>
-  <element name="Case Normalizer" group="Case Normalizer"/>
-  <element name="Remove listed stop words only" group="Stop Words"/>
- </object>
- <index name="Creator" meta_type="FieldIndex">
-  <indexed_attr value="Creator"/>
- </index>
- <index name="Date" meta_type="DateIndex">
-  <property name="index_naive_time_as_local">True</property>
- </index>
- <index name="Description" meta_type="ZCTextIndex">
-  <indexed_attr value="Description"/>
-  <extra name="index_type" value="Okapi BM25 Rank"/>
-  <extra name="lexicon_id" value="plaintext_lexicon"/>
- </index>
- <index name="SearchableText" meta_type="ZCTextIndex">
-  <indexed_attr value="SearchableText"/>
-  <extra name="index_type" value="Okapi BM25 Rank"/>
-  <extra name="lexicon_id" value="htmltext_lexicon"/>
- </index>
- <index name="Subject" meta_type="KeywordIndex">
-  <indexed_attr value="Subject"/>
- </index>
- <index name="Title" meta_type="ZCTextIndex">
-  <indexed_attr value="Title"/>
-  <extra name="index_type" value="Okapi BM25 Rank"/>
-  <extra name="lexicon_id" value="plaintext_lexicon"/>
- </index>
- <index name="Type" meta_type="FieldIndex">
-  <indexed_attr value="Type"/>
- </index>
- <index name="allowedRolesAndUsers" meta_type="KeywordIndex">
-  <indexed_attr value="allowedRolesAndUsers"/>
- </index>
- <index name="created" meta_type="DateIndex">
-  <property name="index_naive_time_as_local">True</property>
- </index>
- <index name="eventIds" meta_type="KeywordIndex">
-  <indexed_attr value="eventIds"/>
- </index>
- <index name="getId" meta_type="FieldIndex">
-  <indexed_attr value="getId"/>
- </index>
- <index name="listCreators" meta_type="KeywordIndex">
-  <indexed_attr value="listCreators"/>
- </index>
- <index name="meta_type" meta_type="FieldIndex">
-  <indexed_attr value="meta_type"/>
- </index>
- <index name="modified" meta_type="DateIndex">
-  <property name="index_naive_time_as_local">True</property>
- </index>
- <index name="path" meta_type="PathIndex"/>
- <index name="portal_type" meta_type="FieldIndex">
-  <indexed_attr value="portal_type"/>
- </index>
- <index name="review_state" meta_type="FieldIndex">
-  <indexed_attr value="review_state"/>
- </index>
- <column value="CreationDate"/>
- <column value="Creator"/>
- <column value="Date"/>
- <column value="Description"/>
- <column value="ModificationDate"/>
- <column value="Subject"/>
- <column value="Title"/>
- <column value="Type"/>
- <column value="created"/>
- <column value="eventIds"/>
- <column value="getIcon"/>
- <column value="getId"/>
- <column value="listCreators"/>
- <column value="modified"/>
- <column value="portal_type"/>
- <column value="review_state"/>
-</object>