Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Slippage/269646640.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Slippage/269646640.xml	(revision 966)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Slippage/269646640.xml	(revision 967)
@@ -5,7 +5,8 @@
  <property name="width">100%</property>
  <property name="height"></property>
- <property name="maxcols">1</property>
+ <property name="maxcols">2</property>
  <property name="shape">NoBorder</property>
  <property name="color">Transparent</property>
+ <object name="25374791" meta_type="Image Box Templet"/>
  <object name="copy3_of_906334568" meta_type="Image Box Templet"/>
  <object name="1881545572" meta_type="Cell Sizer"/>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Slippage/269646640/1099896903.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Slippage/269646640/1099896903.xml	(revision 966)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Slippage/269646640/1099896903.xml	(revision 967)
@@ -2,4 +2,4 @@
 <object name="1099896903" meta_type="Cell Sizer">
  <property name="xpos">1</property>
- <property name="cellwidth">?</property>
+ <property name="cellwidth">615px</property>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Slippage/269646640/1881545572.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Slippage/269646640/1881545572.xml	(revision 966)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Slippage/269646640/1881545572.xml	(revision 967)
@@ -2,4 +2,4 @@
 <object name="1881545572" meta_type="Cell Sizer">
  <property name="xpos">0</property>
- <property name="cellwidth">700px</property>
+ <property name="cellwidth">85px</property>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Slippage/269646640/25374791.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Slippage/269646640/25374791.xml	(revision 967)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Slippage/269646640/25374791.xml	(revision 967)
@@ -0,0 +1,28 @@
+<?xml version="1.0"?>
+<object name="25374791" meta_type="Image Box Templet">
+ <property name="title">LogoPart2</property>
+ <property name="cacheable">False</property>
+ <property name="cache_lifetime">60</property>
+ <property name="hidden_in_text_mode">False</property>
+ <property name="display_title_in_text_mode">False</property>
+ <property name="xpos">1</property>
+ <property name="align">left</property>
+ <property name="padding">44px 20px 0px 0px</property>
+ <property name="margin">0em</property>
+ <property name="templet_height"></property>
+ <property name="fontcolor">defaultfontcolors</property>
+ <property name="fontshape">average</property>
+ <property name="shape"></property>
+ <property name="color"></property>
+ <property name="formstyle"></property>
+ <property name="visibility">always</property>
+ <property name="visibility_paths"/>
+ <property name="languages"/>
+ <property name="esi_fragment">False</property>
+ <property name="i18n">False</property>
+ <property name="caption"></property>
+ <property name="link"></property>
+ <property name="use_internal_link">False</property>
+ <property name="internal_link"></property>
+ <object name="image" meta_type="Image" title=""/>
+</object>
Index: WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Slippage/269646640/copy3_of_906334568.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Slippage/269646640/copy3_of_906334568.xml	(revision 966)
+++ WAeUP_SRP/trunk/profiles/default/themes/WAeUP_Student/Slippage/269646640/copy3_of_906334568.xml	(revision 967)
@@ -7,7 +7,7 @@
  <property name="display_title_in_text_mode">False</property>
  <property name="xpos">0</property>
- <property name="align">center</property>
+ <property name="align">left</property>
  <property name="padding">0.5em</property>
- <property name="margin">0.5em 0.5em 2.5em 0.5em</property>
+ <property name="margin">20px 10px 10px 20px</property>
  <property name="templet_height"></property>
  <property name="fontcolor">defaultfontcolors</property>