Index: WAeUP_SRP/trunk/Students.py
===================================================================
--- WAeUP_SRP/trunk/Students.py	(revision 974)
+++ WAeUP_SRP/trunk/Students.py	(revision 975)
@@ -284,5 +284,5 @@
         pume = self.portal_pumeresults
         format = ','.join(['"%%(%s)s"' % fn for fn in csv_fields])
-        eduplicate = '"dupplicate",%s' % format 
+        eduplicate = '"dupplicate",%s' % format
         for jamb in result:
             dict = {}
@@ -428,5 +428,5 @@
             app = student.application
             app_doc = app.getContent()
-            picture ="%s/import/pictures/%s.jpg" % (i_home,jamb_reg_no) 
+            picture ="%s/import/pictures/%s.jpg" % (i_home,jamb_reg_no)
             #import pdb;pdb.set_trace()
             if os.path.exists(picture):
@@ -459,5 +459,5 @@
             pume.manage_setLocalRoles(sid, ['Owner',])
             #student.getContent().createSubObjects()
-            dp = {} 
+            dp = {}
             if len(names) == 3:
                 dp['firstname'] = names[0].capitalize()
Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 974)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 975)
@@ -155,7 +155,7 @@
    <permission>View</permission>
   </action>
-  <action title="Check Admission" action_id="check_admission"
+  <action title="Check Admission Details" action_id="check_admission"
      category="student" condition_expr="not:member"
-     url_expr="string:${portal_url}/check_admission" visible="False">
+     url_expr="string:${portal_url}/check_admission" visible="True">
    <permission>View</permission>
   </action>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 974)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 975)
@@ -228,5 +228,7 @@
   <property
      name="help">Upload passport photograph with red background.</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes">
    <element value="create"/>
Index: WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt	(revision 974)
+++ WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt	(revision 975)
@@ -54,5 +54,9 @@
           </span>
         </table>        
-
+        
+        
+        <strong>Clearance commences on resumption and ends exactly two(2)weeks after resumption date.
+              Any breach of this directive,will result in forfeiture of the admission offer.</strong>      
+  
      
       <form action="." method="post" class="group">
Index: WAeUP_SRP/trunk/skins/waeup_student/admission_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_slip.pt	(revision 974)
+++ WAeUP_SRP/trunk/skins/waeup_student/admission_slip.pt	(revision 975)
@@ -12,4 +12,5 @@
       <br />
       
+           
       <span tal:omit-tag=""
             tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
@@ -44,4 +45,10 @@
         </table>        
       </span>
+      
+      <br />
+      
+      <strong>Clearance commences on resumption and ends exactly two(2)weeks after resumption date.
+              Any breach of this directive,will result in forfeiture of the admission offer.</strong>
+    
     </metal:main>
   </metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_student/pume_anon_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/pume_anon_slip.pt	(revision 974)
+++ WAeUP_SRP/trunk/skins/waeup_student/pume_anon_slip.pt	(revision 975)
@@ -4,5 +4,10 @@
         <h3>PUME Results of <span tal:content="pume/name" /></h3>
                             
-       <br />                            
+       <br />      
+       
+       <strong  tal:condition="python:pume.status=='Admitted'">You have been provisionally admitted into University of Benin. 
+                                                               Please check your admission details!
+                                                               <br /><br /></strong> 
+                             
        <table>
         <tr>
@@ -28,4 +33,7 @@
         </tr>
       </table>
+      
+      
+      
     </metal:main>
   </metal:body>
Index: WAeUP_SRP/trunk/skins/waeup_student/pume_anon_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/pume_anon_view.pt	(revision 974)
+++ WAeUP_SRP/trunk/skins/waeup_student/pume_anon_view.pt	(revision 975)
@@ -12,5 +12,10 @@
         <h3>PUME Results of <span tal:content="pume/name" /></h3>
                             
-       <br />                            
+       <br />              
+       
+       <strong  tal:condition="python:pume.status=='Admitted'">You have been provisionally admitted into University of Benin. 
+                                                               Please check your admission details!
+                                                               <br /><br /></strong>                                                               
+                     
        <table>
         <tr>