Index: /WAeUP_SRP/trunk/Widgets.py
===================================================================
--- /WAeUP_SRP/trunk/Widgets.py	(revision 976)
+++ /WAeUP_SRP/trunk/Widgets.py	(revision 977)
@@ -306,5 +306,5 @@
                 pume = pumeresults(jamb_reg_no = value)
                 if len(pume) < 1:
-                    err = 'No Student with JAMB-Reg-No %s' % (value)
+                    err = 'No Student with JAMB RegNo %s.' % (value)
                 else:
                     datastructure['pume'] = pume[0]
@@ -469,5 +469,5 @@
             if datastructure.errors:
                 do = 0
-                datastructure.setError(widget_id, 'Errors in other data, PIN not checked and used')
+                datastructure.setError(widget_id, 'Errors in other data, PIN neither checked nor used.')
         while do:
             ok = pins.searchAndSetRecord(pin,ref,prefix)
Index: /WAeUP_SRP/trunk/profiles/default/actionicons.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 976)
+++ /WAeUP_SRP/trunk/profiles/default/actionicons.xml	(revision 977)
@@ -207,5 +207,5 @@
               action_id="import_pin_batches"
               title="Import PIN Batches"
-              priority="8" icon_expr="actionicon_submit.png"/>              
+              priority="8" icon_expr="actionicon_submit.png"/>
  <action-icon category="export" action_id="export_faculties"
               title="Export Faculties" priority="1"
@@ -241,6 +241,9 @@
               priority="3" icon_expr="blank.gif"/>
  <action-icon category="student_navigation"
-              action_id="support" title="Support"
+              action_id="support" title="Enquiries"
               priority="4" icon_expr="blank.gif"/>
+ <action-icon category="student_navigation"
+              action_id="support_anon" title="Support"
+              priority="5" icon_expr="blank.gif"/>              
  <action-icon category="student_object" action_id="slip"
               title="Acknowledegement Slip" priority="1"
Index: /WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 976)
+++ /WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 977)
@@ -131,9 +131,14 @@
    <permission>View</permission>
   </action>
+  <action title="Enquiries" action_id="support_anon" category="student_navigation"
+     condition_expr="not:member" url_expr="string:${portal_url}/contact_admin_form"
+     visible="True">
+   <permission>View</permission>
+  </action>
   <action title="Enquiries" action_id="support" category="student_navigation"
-     condition_expr="" url_expr="string:${portal_url}/contact_admin_form"
-     visible="True">
-   <permission>View</permission>
-  </action>
+     condition_expr="member" url_expr="string:${portal_url}/support_form"
+     visible="True">
+   <permission>View</permission>
+  </action>  
   <action title="Unchecked Items" action_id="unchecked" category="object"
      condition_expr="python:member and 'academics' in object_url"
@@ -155,5 +160,5 @@
    <permission>View</permission>
   </action>
-  <action title="Check Admission Details" action_id="check_admission"
+  <action title="Check Adm. Details" action_id="check_admission"
      category="student" condition_expr="not:member"
      url_expr="string:${portal_url}/check_admission" visible="True">
Index: /WAeUP_SRP/trunk/profiles/default/rolemap.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 976)
+++ /WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 977)
@@ -18,5 +18,5 @@
       <role name="SectionReader"/>
       <role name="SectionOfficer"/>
-    </permission>    
+    </permission>
     <permission name="Add portal content" acquire="True">
       <role name="SectionManager"/>
@@ -61,4 +61,5 @@
     <permission name="Use mailhost services" acquire="True">
       <role name="Authenticated"/>
+      <role name="Anonymous"/>
     </permission>
   </permissions>