Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 978)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 979)
@@ -80,5 +80,7 @@
   <property name="readonly_layout_modes">
   </property>
-  <property name="hidden_layout_modes"></property>
+  <property name="hidden_layout_modes">
+    <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
Index: WAeUP_SRP/trunk/profiles/default/workflows/waeup_scbf_wf/definition.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/workflows/waeup_scbf_wf/definition.xml	(revision 978)
+++ WAeUP_SRP/trunk/profiles/default/workflows/waeup_scbf_wf/definition.xml	(revision 979)
@@ -10,4 +10,5 @@
   <exit-transition transition_id="cut_copy_paste"/>
   <permission-map name="Delete objects" acquired="False">
+   <permission-role>Manager</permission-role>
   </permission-map>
   <permission-map name="View" acquired="False">
@@ -22,5 +23,5 @@
              new_state="static" trigger="USER"
              before_script="" after_script="">
-  
+
   <guard>
    <guard-role>Manager</guard-role>
@@ -33,5 +34,5 @@
              title="Create content" new_state=""
              trigger="USER" before_script="" after_script="">
-  
+
   <guard>
    <guard-role>Manager</guard-role>
Index: WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 978)
+++ WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 979)
@@ -60,8 +60,8 @@
                 da = {}
                 pin = request.get('pin')
-                email = request.get('email')
+##                email = request.get('email')
                 app_doc = info['app_doc']
                 da['app_ac_pin'] = pin
-                da['app_email'] = email
+##                da['app_email'] = email
                 da['app_ac_date'] = current
                 app_doc.edit(mapping = da)
Index: WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt	(revision 978)
+++ WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt	(revision 979)
@@ -55,7 +55,8 @@
         </table>        
         
+        <br />
         
         <strong>Clearance commences on resumption and ends exactly two(2)weeks after resumption date.
-              Any breach of this directive,will result in forfeiture of the admission offer.</strong>      
+              <br />Any breach of this directive,will result in forfeiture of the admission offer.</strong><br /><br />      
   
      
Index: WAeUP_SRP/trunk/skins/waeup_student/check_admission.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/check_admission.py	(revision 978)
+++ WAeUP_SRP/trunk/skins/waeup_student/check_admission.py	(revision 979)
@@ -44,5 +44,6 @@
 elif psm == 'valid':
     s_id = ds.get('s_id')
-    email = ds.get('app_email')
+##  
+##    email = ds.get('app_email')
     student = getattr(context.campus.students, s_id)
     review_state = wf.getInfoFor(student,'review_state',None)
@@ -55,5 +56,5 @@
     args['__ac_password'] = pin.split('-')[2]
     args['pin'] = pin
-    args['email'] = email
+##    args['email'] = email
     url = "%s/logged_in?%s" % (context.absolute_url(),urlencode(args))
     return redirect(url)
Index: WAeUP_SRP/trunk/skins/waeup_student/check_admission_pin_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/check_admission_pin_form.pt	(revision 978)
+++ WAeUP_SRP/trunk/skins/waeup_student/check_admission_pin_form.pt	(revision 979)
@@ -20,5 +20,5 @@
           <ul>
             <li>Buy an Application Scratch Card.</li> 
-            <li>Enter your JAMB Registration Number, the Admission PIN and your Email Address above.</li> 
+            <li>Enter your JAMB Registration Number and the Admission PIN.</li> 
           </ul>
       </metal:block>