Index: WAeUP_SRP/trunk/Students.py
===================================================================
--- WAeUP_SRP/trunk/Students.py	(revision 979)
+++ WAeUP_SRP/trunk/Students.py	(revision 980)
@@ -336,5 +336,5 @@
                  'jamb_sex': "Sex",
                  'jamb_state': "State",
-                 'jamb_first_cos': "AdminCourse",
+##                 'jamb_first_cos': "AdminCourse",
                  'faculty': "AdminFaculty",
                  'course_code': "AdmitCoscode",
@@ -343,4 +343,5 @@
                  'jamb_lga': "LGA",
                  'app_email': "email",
+                 'app_mobile': "PhoneNumbers",
                  }
         csv_fields = [f[1] for f in csv_d.items()]
@@ -375,5 +376,5 @@
                                      'SearchableText': jamb_reg_no })
             if res:
-                em = 'Student with REG-NO %s already exists\n' % jamb_reg_no
+                em = 'Student with RegNo %s already exists\n' % jamb_reg_no
                 logger.info(em)
                 jamb['Error'] = "Student exists"
@@ -417,9 +418,10 @@
                          #'jamb_state',
                          'jamb_score',
-                         'jamb_first_cos',
+##                         'jamb_first_cos',
                          'jamb_sex',
                          'jamb_state',
                          'jamb_lga',
                          'app_email',
+                         'app_mobile',
                          )
             for f in da_fields:
@@ -521,5 +523,5 @@
             study_course.getContent().edit(mapping=dsc)
             self.students_catalog.addRecord(**catalog_entry)
-            if tr_count > 1000:
+            if tr_count > 10:
                 if len(no_import) > 1:
                     open("%s/import/%s_not_imported.csv" % (i_home,name),"w+").write(
Index: WAeUP_SRP/trunk/profiles/default/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 979)
+++ WAeUP_SRP/trunk/profiles/default/actions.xml	(revision 980)
@@ -15,5 +15,5 @@
      condition_expr="not: member"
      url_expr="python:&quot;%s/login_staff?%s&quot; % (portal_url, modules[&quot;urllib&quot;].urlencode({&quot;came_from&quot;: request.URL}))"
-     visible="False">
+     visible="True">
    <permission>View</permission>
   </action>
@@ -140,5 +140,5 @@
      visible="True">
    <permission>View</permission>
-  </action>  
+  </action>
   <action title="Unchecked Items" action_id="unchecked" category="object"
      condition_expr="python:member and 'academics' in object_url"
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 979)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_application_fe.xml	(revision 980)
@@ -272,10 +272,4 @@
   </row>
   <row>
-   <cell name="jamb_first_cos" ncols="3"/>
-  </row>
-  <row>
-   <cell name="jamb_second_cos" ncols="3"/>
-  </row>
-  <row>
    <cell name="passport" ncols="3"/>
   </row>
Index: WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt	(revision 979)
+++ WAeUP_SRP/trunk/skins/waeup_student/admission_form.pt	(revision 980)
@@ -57,6 +57,6 @@
         <br />
         
-        <strong>Clearance commences on resumption and ends exactly two(2)weeks after resumption date.
-              <br />Any breach of this directive,will result in forfeiture of the admission offer.</strong><br /><br />      
+        <strong>Clearance commences on resumption and ends exactly two(2) weeks after resumption date.
+              <br />Any breach of this directive, will result in forfeiture of the admission offer.</strong><br /><br />      
   
      
Index: WAeUP_SRP/trunk/skins/waeup_student/admission_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/admission_slip.pt	(revision 979)
+++ WAeUP_SRP/trunk/skins/waeup_student/admission_slip.pt	(revision 980)
@@ -48,6 +48,6 @@
       <br />
       
-      <strong>Clearance commences on resumption and ends exactly two(2)weeks after resumption date.
-              Any breach of this directive,will result in forfeiture of the admission offer.</strong>
+      <strong>Clearance commences on resumption and ends exactly two(2) weeks after resumption date.
+              Any breach of this directive, will result in forfeiture of the admission offer.</strong>
     
     </metal:main>
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_view.pt	(revision 979)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_view.pt	(revision 980)
@@ -11,7 +11,5 @@
                                  'app_mobile',
                                  'jamb_lastname',
-                                 'jamb_sex',
-                                 'jamb_first_cos',
-                                 'jamb_second_cos',)"
+                                 'jamb_sex',)"
                                  >
   <table cellpadding="2" cellspacing="2" summary="layout">