Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 984)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance.xml	(revision 985)
@@ -20,6 +20,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -37,6 +37,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -54,6 +54,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -125,6 +125,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -143,6 +143,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -173,6 +173,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -204,6 +204,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -265,6 +265,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -350,6 +350,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -421,6 +421,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -479,6 +479,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -496,6 +496,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -527,6 +527,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -574,6 +574,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -591,6 +591,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -663,6 +663,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -694,6 +694,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
Index: WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 984)
+++ WAeUP_SRP/trunk/profiles/default/layouts/student_clearance_fe.xml	(revision 985)
@@ -20,6 +20,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -37,6 +37,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -54,6 +54,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -125,6 +125,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -143,6 +143,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -173,6 +173,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -204,6 +204,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -267,6 +267,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -352,6 +352,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -423,6 +423,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -481,6 +481,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -498,6 +498,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -529,6 +529,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -577,6 +577,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -594,6 +594,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -666,6 +666,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
@@ -697,6 +697,6 @@
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">1000000</property>
-  <property name="display_width">300</property>
-  <property name="display_height">600</property>
+  <property name="display_width">800</property>
+  <property name="display_height">1200</property>
   <property name="allow_resize">True</property>
  </widget>
Index: WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt	(revision 984)
+++ WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt	(revision 985)
@@ -7,5 +7,5 @@
         <p>This is the frontpage of Uniben's Student Registration Portal (SRP) which is part of the West African e-University Project. 
           For further information see 
-          <a href="" tal:attributes="href string:http://waeup.org">waeup.org</a>.</p>
+          <a href="" tal:attributes="href string:http://waeup.org">waeup.org </a>(temporarily offline).</p>
 
           <p>At present, fresh students can view their 2006 PUME results and admission status (free of charge):</p>
@@ -30,6 +30,6 @@
           
           
-          <p>Please download detailed instructions from:
-          <a target="_blank" href="http://www.waeup.org/uniben/uniben_student_manual.pdf/view">waeup.org</a>
+          <p>Please download detailed instructions
+          <a target="_blank" href="http://files.saoas.org/uniben_student_manual.pdf">here</a>.
           </p>          
           
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt	(revision 984)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_application_view_slip.pt	(revision 985)
@@ -13,5 +13,4 @@
                                  'jamb_sex',
                                  'entry_mode',
-                                 'jamb_first_cos',
                                  'jamb_state',
                                   )"
Index: WAeUP_SRP/trunk/skins/waeup_student/layout_pume_view_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/layout_pume_view_slip.pt	(revision 984)
+++ WAeUP_SRP/trunk/skins/waeup_student/layout_pume_view_slip.pt	(revision 985)
@@ -2,12 +2,9 @@
 <!-- $Id$ -->
 <metal:block define-macro="default_view"
-  tal:define="layout options/layout;
+       tal:define="layout options/layout;
               dm options/datastructure/getDataModel;
               widgets python:context.getRenderedWidgets(layout);
-              fields python:('pume_gen_score',
-                                 'pume_eng_score',
-                                 'pume_tot_score',
-                                 )"
-                                 >
+              fields python:('pume_tot_score',)"
+              >
   <table width="" cellpadding="2" cellspacing="0" summary="Form layout">
     <tr tal:repeat="field fields">
Index: WAeUP_SRP/trunk/skins/waeup_student/search_students.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/search_students.py	(revision 984)
+++ WAeUP_SRP/trunk/skins/waeup_student/search_students.py	(revision 985)
@@ -42,5 +42,4 @@
 items = []
 wf = context.portal_workflow
-catalog = context.portal_catalog
 #student_wf_states = wf.waeup_student_wf.states.keys()
 #info['wf_states'] = student_wf_states
@@ -163,5 +162,5 @@
         else:
             #info = context.getStudentInfo(item)
-            info = context.students_catalog(id = item) 
+            info = context.students_catalog(id = item)
             if len(info) == 1:
                 students.append(info[0])