Index: /WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_search.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_search.xml	(revision 1008)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/scratch_card_search.xml	(revision 1009)
@@ -24,6 +24,6 @@
    <element value="search_string"/>
   </property>
-  <property name="label">complete ids only</property>
-  <property name="label_edit">complete ids only</property>
+  <property name="label">Search for used PIN (entire PIN only)</property>
+  <property name="label_edit">Search for used PIN (entire PIN only)</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
@@ -32,6 +32,6 @@
  <table>
   <row>
+   <cell name="search_string"/>
    <cell name="search_mode"/>
-   <cell name="search_string"/>
   </row>
  </table>
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies/exam_types.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/exam_types.xml	(revision 1008)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies/exam_types.xml	(revision 1009)
@@ -8,5 +8,5 @@
     <item key="" msgid="">None</item>
     <item key="ssce" msgid="">SSCE</item>
-    <item key="wasc" msgid="">WASC</item>
+    <item key="waec" msgid="">WAEC</item>
     <item key="gce_o_level" msgid="">GCE O' LEVEL</item>
     <item key="tc_ii" msgid="">TC II</item>
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies/scratch_card_search_mode.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/scratch_card_search_mode.xml	(revision 1008)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies/scratch_card_search_mode.xml	(revision 1009)
@@ -5,5 +5,5 @@
  <property name="description"></property>
  <property name="acl_write_roles">Manager</property>
- <item key="student" msgid="">Student/Jamb Id</item>
- <item key="pin" msgid="">Pin</item>
+ <item key="student" msgid="">Student ID (JAMB Registration No for APP PINs)</item>
+ <item key="pin" msgid="">PIN</item>
 </object>
Index: /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 1008)
+++ /WAeUP_SRP/trunk/skins/waeup_custom/logged_in.py	(revision 1009)
@@ -49,5 +49,5 @@
 
 if redirect_url.endswith('/logged_out'):
-    redirect_to_portal = True    
+    redirect_to_portal = True
 else:
     if not is_anon:
@@ -113,5 +113,5 @@
     #if info['review_state'] == "application_pin_entered":
     if s_review_state == "application_pin_entered":
-        return response.redirect("%s/application_edit" % student.absolute_url())
+        return response.redirect("%s/application_edit_form" % student.absolute_url())
     #elif info['review_state'] == "admitted":
     elif s_review_state == "admitted":
@@ -119,5 +119,5 @@
     #elif info['review_state'] == "clearance_pin_entered":
     elif s_review_state == "clearance_pin_entered":
-        return response.redirect("%s/clearance_edit" % student.absolute_url())
+        return response.redirect("%s/clearance_edit_form" % student.absolute_url())
     return response.redirect("%s/student_index" % student.absolute_url())
 
Index: /WAeUP_SRP/trunk/skins/waeup_pins/batch_view.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_pins/batch_view.pt	(revision 1008)
+++ /WAeUP_SRP/trunk/skins/waeup_pins/batch_view.pt	(revision 1009)
@@ -26,16 +26,7 @@
         <br />
         
-        <span tal:condition="python:member.id in ('admin','joachim')">        
-        <h3>Unused</h3>
-        <table>
-          <tr tal:repeat="pin python: info['unused'][:2]">
-            <td width="50px"> <span tal:content="pin/serial" />: </td>
-            <td tal:content="pin/pin" />
-          </tr>
-        </table>
-        </span>
+        
         <span tal:replace="structure rendered" />
 
-        <h3>Results</h3>
         <table>
           <tr tal:repeat="pin info/used">
@@ -50,4 +41,20 @@
           </tr>
         </table>
+
+
+        <br />
+
+        <span tal:condition="python:member.id in ('admin','joachim')">        
+        ---top secret---
+        <table>
+          <tr tal:repeat="pin python: info['unused'][:2]">
+            <td width="50px"> <span tal:content="pin/serial" />: </td>
+            <td tal:content="pin/pin" />
+          </tr>
+        </table>
+        ---top secret---
+        </span>        
+        
+        
       </span>
     </metal:main>